Index: uspace/srv/net/tl/tcp/tcp.c
===================================================================
--- uspace/srv/net/tl/tcp/tcp.c	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/srv/net/tl/tcp/tcp.c	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -1716,22 +1740,29 @@
 
 	// get the destination port
-	ERROR_PROPAGATE(tl_get_address_port(addr, addrlen,
-	    &socket_data->dest_port));
+	rc = tl_get_address_port(addr, addrlen, &socket_data->dest_port);
+	if (rc != EOK)
+		return rc;
+	
 	if (socket->port <= 0) {
 		// try to find a free port
-		ERROR_PROPAGATE(socket_bind_free_port(&tcp_globals.sockets,
-		    socket, TCP_FREE_PORTS_START, TCP_FREE_PORTS_END,
-		    tcp_globals.last_used_port));
+		rc = socket_bind_free_port(&tcp_globals.sockets, socket,
+		    TCP_FREE_PORTS_START, TCP_FREE_PORTS_END,
+		    tcp_globals.last_used_port);
+		if (rc != EOK)
+			return rc;
 		// set the next port as the search starting port number
 		tcp_globals.last_used_port = socket->port;
 	}
 
-	ERROR_PROPAGATE(ip_get_route_req(tcp_globals.ip_phone, IPPROTO_TCP,
+	rc = ip_get_route_req(tcp_globals.ip_phone, IPPROTO_TCP,
 	    addr, addrlen, &socket_data->device_id,
-	    &socket_data->pseudo_header, &socket_data->headerlen));
+	    &socket_data->pseudo_header, &socket_data->headerlen);
+	if (rc != EOK)
+		return rc;
 
 	// create the notification packet
-	ERROR_PROPAGATE(tcp_create_notification_packet(&packet, socket,
-	    socket_data, 1, 0));
+	rc = tcp_create_notification_packet(&packet, socket, socket_data, 1, 0);
+	if (rc != EOK)
+		return rc;
 
 	// unlock the globals and wait for an operation
@@ -1741,14 +1772,13 @@
 	socket_data->addrlen = addrlen;
 	// send the packet
-	if (ERROR_OCCURRED(tcp_queue_packet(socket, socket_data, packet, 1)) ||
-	    ERROR_OCCURRED(tcp_prepare_timeout(tcp_timeout, socket, socket_data,
-	    0, TCP_SOCKET_INITIAL, NET_DEFAULT_TCP_INITIAL_TIMEOUT, false))) {
-
+
+	if (((rc = tcp_queue_packet(socket, socket_data, packet, 1)) != EOK) ||
+	    ((rc = tcp_prepare_timeout(tcp_timeout, socket, socket_data, 0,
+	    TCP_SOCKET_INITIAL, NET_DEFAULT_TCP_INITIAL_TIMEOUT, false)) !=
+	    EOK)) {
 		socket_data->addr = NULL;
 		socket_data->addrlen = 0;
 		fibril_rwlock_write_lock(&tcp_globals.lock);
-
 	} else {
-
 		packet = tcp_get_packets_to_send(socket, socket_data);
 		if (packet) {
@@ -1762,6 +1792,6 @@
 			fibril_condvar_wait(&socket_data->operation.condvar,
 			    &socket_data->operation.mutex);
-			ERROR_CODE = socket_data->operation.result;
-			if (ERROR_CODE != EOK) {
+			rc = socket_data->operation.result;
+			if (rc != EOK) {
 				socket_data->addr = NULL;
 				socket_data->addrlen = 0;
@@ -1770,5 +1800,5 @@
 			socket_data->addr = NULL;
 			socket_data->addrlen = 0;
-			ERROR_CODE = EINTR;
+			rc = EINTR;
 		}
 	}
@@ -1777,5 +1807,5 @@
 
 	// return the result
-	return ERROR_CODE;
+	return rc;
 }
 
@@ -1784,7 +1814,6 @@
     tcp_socket_data_ref socket_data, packet_t packet, size_t data_length)
 {
-	ERROR_DECLARE;
-
 	tcp_header_ref header;
+	int rc;
 
 	assert(socket);
@@ -1801,6 +1830,7 @@
 	header->sequence_number = htonl(socket_data->next_outgoing);
 
-	if (ERROR_OCCURRED(packet_set_addr(packet, NULL,
-	    (uint8_t *) socket_data->addr, socket_data->addrlen)))
+	rc = packet_set_addr(packet, NULL, (uint8_t *) socket_data->addr,
+	    socket_data->addrlen);
+	if (rc != EOK)
 		return tcp_release_and_return(packet, EINVAL);
 
@@ -1816,5 +1846,5 @@
     packet_t packet, size_t data_length)
 {
-	ERROR_DECLARE;
+	int rc;
 
 	assert(socket);
@@ -1822,10 +1852,12 @@
 	assert(socket->specific_data == socket_data);
 
-	ERROR_PROPAGATE(tcp_queue_prepare_packet(socket, socket_data, packet,
-	    data_length));
-
-	if (ERROR_OCCURRED(pq_add(&socket_data->outgoing, packet,
-	    socket_data->next_outgoing, data_length)))
-		return tcp_release_and_return(packet, ERROR_CODE);
+	rc = tcp_queue_prepare_packet(socket, socket_data, packet, data_length);
+	if (rc != EOK)
+		return rc;
+
+	rc = pq_add(&socket_data->outgoing, packet, socket_data->next_outgoing,
+	    data_length);
+	if (rc != EOK)
+		return tcp_release_and_return(packet, rc);
 
 	socket_data->next_outgoing += data_length;
@@ -1836,6 +1868,4 @@
 tcp_get_packets_to_send(socket_core_ref socket, tcp_socket_data_ref socket_data)
 {
-	ERROR_DECLARE;
-
 	packet_t packet;
 	packet_t copy;
@@ -1843,4 +1873,5 @@
 	packet_t previous = NULL;
 	size_t data_length;
+	int rc;
 
 	assert(socket);
@@ -1867,8 +1898,11 @@
 		if (!sending) {
 			sending = copy;
-		} else if (ERROR_OCCURRED(pq_insert_after(previous, copy))) {
-			pq_release_remote(tcp_globals.net_phone,
-			    packet_get_id(copy));
-			return sending;
+		} else {
+			rc = pq_insert_after(previous, copy);
+			if (rc != EOK) {
+				pq_release_remote(tcp_globals.net_phone,
+				    packet_get_id(copy));
+				return sending;
+			}
 		}
 
@@ -1876,5 +1910,5 @@
 		packet = pq_next(packet);
 		// overflow occurred ?
-		if ((!packet) &&
+		if (!packet &&
 		    (socket_data->last_outgoing > socket_data->next_outgoing)) {
 			printf("gpts overflow\n");
@@ -1892,8 +1926,7 @@
     packet_t packet, size_t data_length, size_t sequence_number)
 {
-	ERROR_DECLARE;
-
 	tcp_header_ref header;
 	uint32_t checksum;
+	int rc;
 
 	assert(socket);
@@ -1902,7 +1935,7 @@
 
 	// adjust the pseudo header
-	if (ERROR_OCCURRED(ip_client_set_pseudo_header_data_length(
-	    socket_data->pseudo_header, socket_data->headerlen,
-	    packet_get_data_length(packet)))) {
+	rc = ip_client_set_pseudo_header_data_length(socket_data->pseudo_header,
+	    socket_data->headerlen, packet_get_data_length(packet));
+	if (rc != EOK) {
 		pq_release_remote(tcp_globals.net_phone, packet_get_id(packet));
 		return NULL;
@@ -1929,13 +1962,18 @@
 	checksum = compute_checksum(0, socket_data->pseudo_header,
 	    socket_data->headerlen);
-	checksum = compute_checksum(checksum, (uint8_t *) packet_get_data(packet),
+	checksum = compute_checksum(checksum,
+	    (uint8_t *) packet_get_data(packet),
 	    packet_get_data_length(packet));
 	header->checksum = htons(flip_checksum(compact_checksum(checksum)));
 
 	// prepare the packet
-	if (ERROR_OCCURRED(ip_client_prepare_packet(packet, IPPROTO_TCP, 0, 0,
-	    0, 0)) || ERROR_OCCURRED(tcp_prepare_timeout(tcp_timeout, socket,
-	    socket_data, sequence_number, socket_data->state,
-	    socket_data->timeout, true))) {
+	rc = ip_client_prepare_packet(packet, IPPROTO_TCP, 0, 0, 0, 0);
+	if (rc != EOK) {
+		pq_release_remote(tcp_globals.net_phone, packet_get_id(packet));
+		return NULL;
+	}
+	rc = tcp_prepare_timeout(tcp_timeout, socket, socket_data,
+	    sequence_number, socket_data->state, socket_data->timeout, true);
+	if (rc != EOK) {
 		pq_release_remote(tcp_globals.net_phone, packet_get_id(packet));
 		return NULL;
@@ -2033,5 +2071,5 @@
 	if (!fibril) {
 		free(operation_timeout);
-		return EPARTY;
+		return EPARTY;	/* FIXME: use another EC */
 	}
 //      fibril_mutex_lock(&socket_data->operation.mutex);
@@ -2044,8 +2082,6 @@
 int
 tcp_recvfrom_message(socket_cores_ref local_sockets, int socket_id, int flags,
-    size_t * addrlen)
-{
-	ERROR_DECLARE;
-
+    size_t *addrlen)
+{
 	socket_core_ref socket;
 	tcp_socket_data_ref socket_data;
@@ -2053,4 +2089,5 @@
 	packet_t packet;
 	size_t length;
+	int rc;
 
 	assert(local_sockets);
@@ -2074,6 +2111,7 @@
 	// send the source address if desired
 	if (addrlen) {
-		ERROR_PROPAGATE(data_reply(socket_data->addr,
-		    socket_data->addrlen));
+		rc = data_reply(socket_data->addr, socket_data->addrlen);
+		if (rc != EOK)
+			return rc;
 		*addrlen = socket_data->addrlen;
 	}
@@ -2084,9 +2122,12 @@
 		return NO_DATA;
 
-	ERROR_PROPAGATE(packet_translate_remote(tcp_globals.net_phone, &packet,
-	    packet_id));
+	rc = packet_translate_remote(tcp_globals.net_phone, &packet, packet_id);
+	if (rc != EOK)
+		return rc;
 
 	// reply the packets
-	ERROR_PROPAGATE(socket_reply_packets(packet, &length));
+	rc = socket_reply_packets(packet, &length);
+	if (rc != EOK)
+		return rc;
 
 	// release the packet
@@ -2099,8 +2140,6 @@
 int
 tcp_send_message(socket_cores_ref local_sockets, int socket_id, int fragments,
-    size_t * data_fragment_size, int flags)
-{
-	ERROR_DECLARE;
-
+    size_t *data_fragment_size, int flags)
+{
 	socket_core_ref socket;
 	tcp_socket_data_ref socket_data;
@@ -2111,4 +2150,5 @@
 	int index;
 	int result;
+	int rc;
 
 	assert(local_sockets);
@@ -2131,6 +2171,8 @@
 		return ENOTCONN;
 
-	ERROR_PROPAGATE(tl_get_ip_packet_dimension(tcp_globals.ip_phone,
-	   &tcp_globals.dimensions, socket_data->device_id, &packet_dimension));
+	rc = tl_get_ip_packet_dimension(tcp_globals.ip_phone,
+	    &tcp_globals.dimensions, socket_data->device_id, &packet_dimension);
+	if (rc != EOK)
+		return rc;
 
 	*data_fragment_size =
@@ -2138,5 +2180,5 @@
 	    packet_dimension->content : socket_data->data_fragment_size);
 
-	for (index = 0; index < fragments; ++index) {
+	for (index = 0; index < fragments; index++) {
 		// read the data fragment
 		result = tl_socket_read_packet_data(tcp_globals.net_phone,
@@ -2153,6 +2195,7 @@
 
 		tcp_prepare_operation_header(socket, socket_data, header, 0, 0);
-		ERROR_PROPAGATE(tcp_queue_packet(socket, socket_data, packet,
-		    0));
+		rc = tcp_queue_packet(socket, socket_data, packet, 0);
+		if (rc != EOK)
+			return rc;
 	}
 
@@ -2173,9 +2216,8 @@
 tcp_close_message(socket_cores_ref local_sockets, int socket_id)
 {
-	ERROR_DECLARE;
-
 	socket_core_ref socket;
 	tcp_socket_data_ref socket_data;
 	packet_t packet;
+	int rc;
 
 	// find the socket
@@ -2202,11 +2244,12 @@
 	default:
 		// just destroy
-		if (ERROR_NONE(socket_destroy(tcp_globals.net_phone, socket_id,
+		rc = socket_destroy(tcp_globals.net_phone, socket_id,
 		    local_sockets, &tcp_globals.sockets,
-		    tcp_free_socket_data))) {
+		    tcp_free_socket_data);
+		if (rc == EOK) {
 			fibril_rwlock_write_unlock(socket_data->local_lock);
 			fibril_rwlock_write_unlock(&tcp_globals.lock);
 		}
-		return ERROR_CODE;
+		return rc;
 	}
 
@@ -2215,9 +2258,12 @@
 
 	// create the notification packet
-	ERROR_PROPAGATE(tcp_create_notification_packet(&packet, socket,
-	    socket_data, 0, 1));
+	rc = tcp_create_notification_packet(&packet, socket, socket_data, 0, 1);
+	if (rc != EOK)
+		return rc;
 
 	// send the packet
-	ERROR_PROPAGATE(tcp_queue_packet(socket, socket_data, packet, 1));
+	rc = tcp_queue_packet(socket, socket_data, packet, 1);
+	if (rc != EOK)
+		return rc;
 
 	// flush packets
@@ -2235,18 +2281,18 @@
 
 int
-tcp_create_notification_packet(packet_t * packet, socket_core_ref socket,
+tcp_create_notification_packet(packet_t *packet, socket_core_ref socket,
     tcp_socket_data_ref socket_data, int synchronize, int finalize)
 {
-	ERROR_DECLARE;
-
 	packet_dimension_ref packet_dimension;
 	tcp_header_ref header;
+	int rc;
 
 	assert(packet);
 
 	// get the device packet dimension
-	ERROR_PROPAGATE(tl_get_ip_packet_dimension(tcp_globals.ip_phone,
-	    &tcp_globals.dimensions, socket_data->device_id,
-	    &packet_dimension));
+	rc = tl_get_ip_packet_dimension(tcp_globals.ip_phone,
+	    &tcp_globals.dimensions, socket_data->device_id, &packet_dimension);
+	if (rc != EOK)
+		return rc;
 
 	// get a new packet
@@ -2271,12 +2317,11 @@
 int
 tcp_accept_message(socket_cores_ref local_sockets, int socket_id,
-    int new_socket_id, size_t * data_fragment_size, size_t * addrlen)
-{
-	ERROR_DECLARE;
-
+    int new_socket_id, size_t *data_fragment_size, size_t *addrlen)
+{
 	socket_core_ref accepted;
 	socket_core_ref socket;
 	tcp_socket_data_ref socket_data;
 	packet_dimension_ref packet_dimension;
+	int rc;
 
 	assert(local_sockets);
@@ -2312,9 +2357,13 @@
 		// TODO can it be in another state?
 		if (socket_data->state == TCP_SOCKET_ESTABLISHED) {
-			ERROR_PROPAGATE(data_reply(socket_data->addr,
-			    socket_data->addrlen));
-			ERROR_PROPAGATE(tl_get_ip_packet_dimension(
-			    tcp_globals.ip_phone, &tcp_globals.dimensions,
-			    socket_data->device_id, &packet_dimension));
+			rc = data_reply(socket_data->addr,
+			    socket_data->addrlen);
+			if (rc != EOK)
+				return rc;
+			rc = tl_get_ip_packet_dimension(tcp_globals.ip_phone,
+			    &tcp_globals.dimensions, socket_data->device_id,
+			    &packet_dimension);
+			if (rc != EOK)
+				return rc;
 			*addrlen = socket_data->addrlen;
 
@@ -2326,7 +2375,8 @@
 	
 			if (new_socket_id > 0) {
-				ERROR_PROPAGATE(socket_cores_update(
-				    local_sockets, accepted->socket_id,
-				    new_socket_id));
+				rc = socket_cores_update(local_sockets,
+				    accepted->socket_id, new_socket_id);
+				if (rc != EOK)
+					return rc;
 				accepted->socket_id = new_socket_id;
 			}
@@ -2373,4 +2423,10 @@
 }
 
+/** Releases the packet and returns the result.
+ *
+ * @param[in] packet	The packet queue to be released.
+ * @param[in] result	The result to be returned.
+ * @return		The result parameter.
+ */
 int tcp_release_and_return(packet_t packet, int result)
 {
@@ -2381,6 +2437,6 @@
 /** Default thread for new connections.
  *
- *  @param[in] iid The initial message identifier.
- *  @param[in] icall The initial message call structure.
+ * @param[in] iid	The initial message identifier.
+ * @param[in] icall	The initial message call structure.
  *
  */
@@ -2397,23 +2453,18 @@
 		int answer_count;
 
-		/*
-		   Clear the answer structure 
-		 */
+		/* Clear the answer structure */
 		refresh_answer(&answer, &answer_count);
 
-		/*
-		   Fetch the next message 
-		 */
+		/* Fetch the next message */
 		ipc_call_t call;
 		ipc_callid_t callid = async_get_call(&call);
 
-		/*
-		   Process the message 
-		 */
+		/* Process the message */
 		int res = tl_module_message_standalone(callid, &call, &answer,
 		    &answer_count);
 
 		/*
-		   End if said to either by the message or the processing result 
+		 * End if told to either by the message or the processing
+		 * result.
 		 */
 		if ((IPC_GET_METHOD(call) == IPC_M_PHONE_HUNGUP) ||
@@ -2430,23 +2481,15 @@
 /** Starts the module.
  *
- *  @param argc The count of the command line arguments. Ignored parameter.
- *  @param argv The command line parameters. Ignored parameter.
- *
- *  @returns EOK on success.
- *  @returns Other error codes as defined for each specific module start function.
- *
+ * @returns		EOK on success.
+ * @returns		Other error codes as defined for each specific module
+ *			start function.
  */
 int
 main(int argc, char *argv[])
 {
-	ERROR_DECLARE;
-
-	/*
-	   Start the module 
-	 */
-	if (ERROR_OCCURRED(tl_module_start_standalone(tl_client_connection)))
-		return ERROR_CODE;
-
-	return EOK;
+	int rc;
+
+	rc = tl_module_start_standalone(tl_client_connection);
+	return rc;
 }
 
Index: uspace/srv/net/tl/tcp/tcp.h
===================================================================
--- uspace/srv/net/tl/tcp/tcp.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/srv/net/tl/tcp/tcp.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -28,13 +28,13 @@
 
 /** @addtogroup tcp
- *  @{
+ * @{
  */
 
 /** @file
- *  TCP module.
- */
-
-#ifndef __NET_TCP_H__
-#define __NET_TCP_H__
+ * TCP module.
+ */
+
+#ifndef NET_TCP_H_
+#define NET_TCP_H_
 
 #include <fibril_synch.h>
@@ -46,246 +46,271 @@
 
 /** Type definition of the TCP global data.
- *  @see tcp_globals
- */
-typedef struct tcp_globals	tcp_globals_t;
+ * @see tcp_globals
+ */
+typedef struct tcp_globals tcp_globals_t;
 
 /** Type definition of the TCP socket specific data.
- *  @see tcp_socket_data
- */
-typedef struct tcp_socket_data	tcp_socket_data_t;
+ * @see tcp_socket_data
+ */
+typedef struct tcp_socket_data tcp_socket_data_t;
 
 /** Type definition of the TCP socket specific data pointer.
- *  @see tcp_socket_data
- */
-typedef tcp_socket_data_t *	tcp_socket_data_ref;
+ * @see tcp_socket_data
+ */
+typedef tcp_socket_data_t *tcp_socket_data_ref;
 
 /** Type definition of the TCP operation data.
- *  @see tcp_operation
- */
-typedef struct tcp_operation	tcp_operation_t;
+ * @see tcp_operation
+ */
+typedef struct tcp_operation tcp_operation_t;
 
 /** Type definition of the TCP operation data pointer.
- *  @see tcp_operation
- */
-typedef tcp_operation_t *	tcp_operation_ref;
+ * @see tcp_operation
+ */
+typedef tcp_operation_t *tcp_operation_ref;
 
 /** TCP socket state type definition.
- *  @see tcp_socket_state
- */
-typedef enum tcp_socket_state	tcp_socket_state_t;
-
-/** TCP socket state.
- */
-enum tcp_socket_state{
+ * @see tcp_socket_state
+ */
+typedef enum tcp_socket_state tcp_socket_state_t;
+
+/** TCP socket state. */
+enum tcp_socket_state {
 	/** Initial.
-	 *  Not connected or bound.
+	 *
+	 * Not connected or bound.
 	 */
 	TCP_SOCKET_INITIAL,
+	
 	/** Listening.
-	 *  Awaiting a connection request from another TCP layer.
-	 *  When SYN is received a new bound socket in the TCP_SOCKET_SYN_RECEIVED state should be created.
+	 *
+	 * Awaiting a connection request from another TCP layer.
+	 * When SYN is received a new bound socket in the
+	 * TCP_SOCKET_SYN_RECEIVED state should be created.
 	 */
 	TCP_SOCKET_LISTEN,
+	
 	/** Connecting issued.
-	 *  A~SYN has been sent, and TCP is awaiting the response SYN.
-	 *  Should continue to the TCP_SOCKET_ESTABLISHED state.
+	 *
+	 * A SYN has been sent, and TCP is awaiting the response SYN.
+	 * Should continue to the TCP_SOCKET_ESTABLISHED state.
 	 */
 	TCP_SOCKET_SYN_SENT,
+	
 	/** Connecting received.
-	 *  A~SYN has been received, a~SYN has been sent, and TCP is awaiting an ACK.
-	 *  Should continue to the TCP_SOCKET_ESTABLISHED state.
+	 *
+	 * A SYN has been received, a SYN has been sent, and TCP is awaiting an
+	 * ACK. Should continue to the TCP_SOCKET_ESTABLISHED state.
 	 */
 	TCP_SOCKET_SYN_RECEIVED,
+	
 	/** Connected.
-	 *  The three-way handshake has been completed.
+	 *
+	 * The three-way handshake has been completed.
 	 */
 	TCP_SOCKET_ESTABLISHED,
+	
 	/** Closing started.
-	 *  The local application has issued a~CLOSE.
-	 *  TCP has sent a~FIN, and is awaiting an ACK or a~FIN.
-	 *  Should continue to the TCP_SOCKET_FIN_WAIT_2 state when an ACK is received.
-	 *  Should continue to the TCP_SOCKET_CLOSING state when a~FIN is received.
+	 *
+	 * The local application has issued a CLOSE.
+	 * TCP has sent a FIN, and is awaiting an ACK or a FIN.
+	 * Should continue to the TCP_SOCKET_FIN_WAIT_2 state when an ACK is
+	 * received.
+	 * Should continue to the TCP_SOCKET_CLOSING state when a FIN is
+	 * received.
 	 */
 	TCP_SOCKET_FIN_WAIT_1,
+	
 	/** Closing confirmed.
-	 *  A~FIN has been sent, and an ACK received.
-	 *  TCP is awaiting a~FIN from the remote TCP layer.
-	 *  Should continue to the TCP_SOCKET_CLOSING state.
+	 *
+	 * A FIN has been sent, and an ACK received.
+	 * TCP is awaiting a~FIN from the remote TCP layer.
+	 * Should continue to the TCP_SOCKET_CLOSING state.
 	 */
 	TCP_SOCKET_FIN_WAIT_2,
+	
 	/** Closing.
-	 *  A FIN has been sent, a FIN has been received, and an ACK has been sent.
-	 *  TCP is awaiting an ACK for the FIN that was sent.
-	 *  Should continue to the TCP_SOCKET_TIME_WAIT state.
+	 *
+	 * A FIN has been sent, a FIN has been received, and an ACK has been
+	 * sent.
+	 * TCP is awaiting an ACK for the FIN that was sent.
+	 * Should continue to the TCP_SOCKET_TIME_WAIT state.
 	 */
 	TCP_SOCKET_CLOSING,
+	
 	/** Closing received.
-	 *  TCP has received a~FIN, and has sent an ACK.
-	 *  It is awaiting a~close request from the local application before sending a~FIN.
-	 *  Should continue to the TCP_SOCKET_SOCKET_LAST_ACK state.
+	 *
+	 * TCP has received a FIN, and has sent an ACK.
+	 * It is awaiting a close request from the local application before
+	 * sending a FIN.
+	 * Should continue to the TCP_SOCKET_SOCKET_LAST_ACK state.
 	 */
 	TCP_SOCKET_CLOSE_WAIT,
-	/** 
-	 *  A~FIN has been received, and an ACK and a~FIN have been sent.
-	 *  TCP is awaiting an ACK.
-	 *  Should continue to the TCP_SOCKET_TIME_WAIT state.
+	
+	/**
+	 * A FIN has been received, and an ACK and a FIN have been sent.
+	 * TCP is awaiting an ACK.
+	 * Should continue to the TCP_SOCKET_TIME_WAIT state.
 	 */
 	TCP_SOCKET_LAST_ACK,
+	
 	/** Closing finished.
-	 *  FINs have been received and ACK’d, and TCP is waiting two MSLs to remove the connection from the table.
+	 *
+	 * FINs have been received and ACK’d, and TCP is waiting two MSLs to
+	 * remove the connection from the table.
 	 */
 	TCP_SOCKET_TIME_WAIT,
+	
 	/** Closed.
-	 *  Imaginary, this indicates that a~connection has been removed from the connection table.
+	 *
+	 * Imaginary, this indicates that a connection has been removed from
+	 * the connection table.
 	 */
 	TCP_SOCKET_CLOSED
 };
 
-/** TCP operation data.
- */
-struct tcp_operation{
-	/** Operation result.
-	 */
+/** TCP operation data. */
+struct tcp_operation {
+	/** Operation result. */
 	int result;
-	/** Safety lock.
-	 */
+	/** Safety lock. */
 	fibril_mutex_t mutex;
-	/** Operation result signaling.
-	 */
+	/** Operation result signaling. */
 	fibril_condvar_t condvar;
 };
 
-/** TCP socket specific data.
- */
-struct tcp_socket_data{
-	/** TCP socket state.
-	 */
+/** TCP socket specific data. */
+struct tcp_socket_data {
+	/** TCP socket state. */
 	tcp_socket_state_t state;
-	/** Data fragment size.
-	 *  Sending optimalization.
+	
+	/**
+	 * Data fragment size.
+	 * Sending optimalization.
 	 */
 	size_t data_fragment_size;
-	/** Device identifier.
-	 */
+	
+	/** Device identifier. */
 	device_id_t device_id;
-	/** Listening backlog.
-	 *  The maximal number of connected but not yet accepted sockets.
+	
+	/**
+	 * Listening backlog.
+	 * The maximal number of connected but not yet accepted sockets.
 	 */
 	int backlog;
-//	/** Segment size.
-//	 */
-//	size_t			segment_size;
-	/** Parent listening socket identifier.
-	 *  Set if this socket is an accepted one.
+	
+//	/** Segment size. */
+//	size_t segment_size;
+
+	/**
+	 * Parent listening socket identifier.
+	 * Set if this socket is an accepted one.
 	 */
 	int listening_socket_id;
-	/** Treshold size in bytes.
-	 */
+	
+	/** Treshold size in bytes. */
 	size_t treshold;
-	/** Window size in bytes.
-	 */
+	/** Window size in bytes. */
 	size_t window;
-	/** Acknowledgement timeout.
-	 */
+	/** Acknowledgement timeout. */
 	suseconds_t timeout;
-	/** Last acknowledged byte.
-	 */
+	/** Last acknowledged byte. */
 	uint32_t acknowledged;
-	/** Next incoming sequence number.
-	 */
+	/** Next incoming sequence number. */
 	uint32_t next_incoming;
-	/** Incoming FIN.
-	 */
+	/** Incoming FIN. */
 	uint32_t fin_incoming;
-	/** Next outgoing sequence number.
-	 */
+	/** Next outgoing sequence number. */
 	uint32_t next_outgoing;
-	/** Last outgoing sequence number.
-	 */
+	/** Last outgoing sequence number. */
 	uint32_t last_outgoing;
-	/** Outgoing FIN.
-	 */
+	/** Outgoing FIN. */
 	uint32_t fin_outgoing;
-	/** Expected sequence number by the remote host.
-	 *  The sequence number the other host expects.
-	 *  The notification is sent only upon a packet reecival.
+	
+	/**
+	 * Expected sequence number by the remote host.
+	 * The sequence number the other host expects.
+	 * The notification is sent only upon a packet reecival.
 	 */
 	uint32_t expected;
-	/** Expected sequence number counter.
-	 *  Counts the number of received notifications for the same sequence number.
+	
+	/**
+	 * Expected sequence number counter.
+	 * Counts the number of received notifications for the same sequence
+	 * number.
 	 */
 	int expected_count;
+	
 	/** Incoming packet queue.
-	 *  Packets are buffered until received in the right order.
-	 *  The packets are excluded after successfully read.
-	 *  Packets are sorted by their starting byte.
-	 *  Packets metric is set as their data length.
+	 *
+	 * Packets are buffered until received in the right order.
+	 * The packets are excluded after successfully read.
+	 * Packets are sorted by their starting byte.
+	 * Packets metric is set as their data length.
 	 */
 	packet_t incoming;
+	
 	/** Outgoing packet queue.
-	 *  Packets are buffered until acknowledged by the remote host in the right order.
-	 *  The packets are excluded after acknowledged.
-	 *  Packets are sorted by their starting byte.
-	 *  Packets metric is set as their data length.
+	 *
+	 * Packets are buffered until acknowledged by the remote host in the
+	 * right order.
+	 * The packets are excluded after acknowledged.
+	 * Packets are sorted by their starting byte.
+	 * Packets metric is set as their data length.
 	 */
 	packet_t outgoing;
-	/** IP pseudo header.
-	 */
+	
+	/** IP pseudo header. */
 	void *pseudo_header;
-	/** IP pseudo header length.
-	 */
+	/** IP pseudo header length. */
 	size_t headerlen;
-	/** Remote host address.
-	 */
-	struct sockaddr * addr;
-	/** Remote host address length.
-	 */
+	/** Remote host address. */
+	struct sockaddr *addr;
+	/** Remote host address length. */
 	socklen_t addrlen;
-	/** Remote host port.
-	 */
+	/** Remote host port. */
 	uint16_t dest_port;
-	/** Parent local sockets.
-	 */
+	/** Parent local sockets. */
 	socket_cores_ref local_sockets;
+	
 	/** Local sockets safety lock.
-	 *  May be locked for writing while holding the global lock for reading when changing the local sockets only.
-	 *  The global lock may to be locked only before locking the local lock.
-	 *  The global lock may be locked more weakly than the local lock.
-	 *  The global lock may be released before releasing the local lock.
-	 *  @see tcp_globals:lock
-	 */
-	fibril_rwlock_t * local_lock;
-	/** Pending operation data.
-	 */
+	 *
+	 * May be locked for writing while holding the global lock for reading
+	 * when changing the local sockets only.
+	 * The global lock may be locked only before locking the local lock.
+	 * The global lock may be locked more weakly than the local lock.
+	 * The global lock may be released before releasing the local lock.
+	 * @see tcp_globals:lock
+	 */
+	fibril_rwlock_t *local_lock;
+	
+	/** Pending operation data. */
 	tcp_operation_t operation;
-	/** Timeouts in a row counter.
-	 *  If TCP_MAX_TIMEOUTS is reached, the connection is lost.
+	
+	/**
+	 * Timeouts in a row counter.
+	 * If TCP_MAX_TIMEOUTS is reached, the connection is lost.
 	 */
 	int timeout_count;
 };
 
-/** TCP global data.
- */
-struct	tcp_globals{
-	/** Networking module phone.
-	 */
+/** TCP global data. */
+struct tcp_globals {
+	/** Networking module phone. */
 	int net_phone;
-	/** IP module phone.
-	 */
+	/** IP module phone. */
 	int ip_phone;
-	/** ICMP module phone.
-	 */
+	/** ICMP module phone. */
 	int icmp_phone;
-	/** Last used free port.
-	 */
+	/** Last used free port. */
 	int last_used_port;
-	/** Active sockets.
-	 */
+	/** Active sockets. */
 	socket_ports_t sockets;
-	/** Device packet dimensions.
-	 */
+	/** Device packet dimensions. */
 	packet_dimensions_t dimensions;
-	/** Safety lock.
-	 *  Write lock is used only for adding or removing socket ports.
+	
+	/**
+	 * Safety lock.
+	 * Write lock is used only for adding or removing socket ports.
 	 */
 	fibril_rwlock_t lock;
@@ -296,3 +321,2 @@
 /** @}
  */
-
